Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class BookGroupId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.BookGroupId

All Implemented Interfaces
  Serializable

    public class BookGroupId

extends Id

Represents a navigable (`Book` or `Page`) on a specific `Book`. The integer value of `BookGroupId` is the primary key of the BookGroup table. Using this value, any individual navigable on a `Book` can be obtained. This value is set by internal portal framework API's.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`BookGroupId(int id)`

Method Summary
`protected Object` | `clone()`
`static BookGroupId` | `clone(BookGroupId bookGroupId)`
`static BookGroupId` | `createBookGroupId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, equals, getId, getUniqueLabel, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BookGroupId

    public BookGroupId(int id)

Parameters
  `id` - the unique identifier for the navigable on a `Book`.

Method Detail

### createBookGroupId

    public static BookGroupId createBookGroupId(int id)

  Parameters
    `id` - the unique identifier for the navigable on a `Book`.
  Returns
    a new `BookGroupId` with the id value set to the integer passed in.

### clone

    public static BookGroupId clone(BookGroupId bookGroupId)

  Parameters
    `bookGroupId` - the `BookGroupId` to clone.
  Returns
    a new `BookGroupId` with the exact same parameters as the `BookGroupId` passed in.

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`
  Returns
    a new `BookGroupId` with the exact same parameters as this `BookGroupId`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved